# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Summary:	Match globbing patterns against text
Name:		perl-Text-Glob
Version:	0.11
Release:	1.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Text-Glob/
Source0:	http://search.cpan.org/CPAN/authors/id/R/RC/RCLAMP/Text-Glob-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
Requires:	coreutils
Requires:	findutils
Requires:	make
Requires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(warnings)
# Module Runtime
BuildRequires:	perl(constant)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
# Test Suite
BuildRequires:	perl(Test::More)
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Text::Glob implements glob(3) style matching that can be used to match against
text, rather than fetching names from a filesystem. If you want to do full
file globbing, use the File::Glob module instead.

%prep
%setup -q -n Text-Glob-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%doc Changes
%{perl_vendorlib}/Text/
%{_mandir}/man3/Text::Glob.3*

%changelog
* Thu Mar  9 2017 Paul Howarth <paul@city-fan.org> - 0.11-1
- Update to 0.11
  - Regenerated tarball on a linux machine (0.10 was released from OSX, which
    added non-standard extended header attributes to the tarball)

* Wed Sep 14 2016 Paul Howarth <paul@city-fan.org> - 0.10-1
- Update to 0.10
  - Added ability to alter regex separator
  - Switch distribution packaging back to ExtUtils::MakeMaker (CPAN RT#104876)
- Classify buildreqs by usage
- Work around bug in GNU tar 1.15.1 that breaks extracting tarballs made with
  unknown extended attributes on old distributions
- Simplify find command using -delete
- Drop %%defattr, redundant since rpm 4.4

* Tue Jun 12 2012 Paul Howarth <paul@city-fan.org> 0.09-4
- BR: perl(constant) and perl(Exporter)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Wed Oct 19 2011 Paul Howarth <paul@city-fan.org> 0.09-3
- Fix dist tag for CentOS 6 and Scientific Linux

* Tue Jun 28 2011 Paul Howarth <paul@city-fan.org> 0.09-2
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands

* Wed Feb 23 2011 Paul Howarth <paul@city-fan.org> 0.09-1
- Update to 0.09
  - Compiled documentation fixes

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> 0.08-6
- Rebuild for perl 5.12.1 in Rawhide

* Fri May 28 2010 Paul Howarth <paul@city-fan.org> 0.08-5
- Fix dist tag for RHEL-6 Beta

* Thu Mar  4 2010 Paul Howarth <paul@city-fan.org> 0.08-4
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Thu Oct  1 2009 Paul Howarth <paul@city-fan.org> 0.08-3
- Define RPM macros in global scope

* Tue Nov  4 2008 Paul Howarth <paul@city-fan.org> 0.08-2
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)
- BuildRequire perl(Test::More)

* Thu May  3 2007 Paul Howarth <paul@city-fan.org> 0.08-1
- Updated to 0.08

* Tue Mar 20 2007 Paul Howarth <paul@city-fan.org> 0.07-2
- Fix dist tag for development builds and Fedora 7 onwards
- Fix argument order for find with -depth
- Buildreq perl(ExtUtils::MakeMaker)
- Don't use macros in command paths, hardcode them instead

* Mon Jul 17 2006 Paul Howarth <paul@city-fan.org> 0.07-1
- Updated to 0.07
- Simplify distribution-detection code
- Remove %%{__perl_version} macro, used onky once
- Remove %%{__perl_package} macro, used onky twice
- Remove buildroot unconditionally in %%clean and %%install
- Use search.cpan.org URLs

* Wed Aug 17 2005 Paul Howarth <paul@city-fan.org> 0.06-3
- Remove redundant macro definitions
- Remove redundant optimization flags for noarch package
- Fix directory ownership

* Wed May 25 2005 Paul Howarth <paul@city-fan.org> 0.06-2
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Mon May 10 2004 Paul Howarth <paul@city-fan.org> 0.06-1
- Initial build
